package com.ningdatech.pmapi.performance.model.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * <p>
 * PerformanceAppraisalListReq
 * </p>
 *
 * @author ZPF
 * @since 09:32 2023/06/13
 */
@Data
public class PerformanceAppraisalListReq extends PagePo {

    @ApiModelProperty("计划名称")
    private String name;

    @ApiModelProperty("开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime start;

    @ApiModelProperty("结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime end;
}
